=== dist/CMakeLists.txt ===
if (UNIX AND NOT APPLE)
  configure_file("qdmr.desktop.in" "qdmr.desktop")
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qdmr.desktop DESTINATION share/applications/)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr32.png DESTINATION share/icons/hicolor/32x32/apps/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr48.png DESTINATION share/icons/hicolor/48x48/apps/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr64.png DESTINATION share/icons/hicolor/64x64/apps/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr72.png DESTINATION share/icons/hicolor/72x72/apps/ RENAME qdmr.png)
  install(FILES ${PROJECT_SOURCE_DIR}/dist/qdmr96.png DESTINATION share/icons/hicolor/96x96/apps/ RENAME qdmr.png)
endif(UNIX AND NOT APPLE)

if (UNIX AND NOT APPLE AND ${INSTALL_APPSTREAM_DATA})
  install(FILES ${PROJECT_SOURCE_DIR}/dist/de.darc.dm3mat.qdmr.metainfo.xml DESTINATION share/metainfo/)
endif(UNIX AND NOT APPLE AND ${INSTALL_APPSTREAM_DATA})
