=== i18n/Makefile ===
update:
	/usr/lib/qt6/bin/lupdate ../src/*.cc ../src/*.hh ../src/*.ui ../shared/ui/*.ui -noobsolete -ts *.ts
