=== doc/dmr-intro/script/Makefile ===

clean:
	rm *.aux *.idx *.ilg *.ind *.log *.out *.pdf *.synctex.gz *.toc
