=== doc/manual/gui/fig/Makefile ===
all:
