=== debian/changelog ===
qdmr (0.13.1-1) unstable; urgency=medium

  * Fixed build of man-pages.
  * Fixed install of header files.
  * Fixed build and loading of translations.

 -- Hannes Matuschek <dm3mat@darc.de>  Tue, 21 Oct 2025 14:06:15 +0200

qdmr (0.13.0-1) unstable; urgency=medium

  * Moved to QT6
  * Added support for OpenMD9600 and OpenMD2017
  * Add support for BTECH DMR-6x2 PRO
  * Add support for AnyTone D578UVIII (alias for D578UV)
  * Added offset frequency indicator for repeaters by @billbonney in #678
  * Theme updates when system switches to/from light/dark by @billbonney in #681
  * Reworked issue dialog to show tracebacks.
  * Updated OpenGD77 call-sign database implementation
  * Theme settings for OpenUV380
  * Fixed en/decoding of DTMF contact for OpenGD77
  * Set date time during programming of OpenGD77 devices
  * Finished encryption support
  * Implemented missing tot transmit timeout for opengd77 devices
  * Update DMR6X2 to FW Version 2.21
  * Fixed encoding of volume change prompt setting
  * Fixed en/decoding of backlight duration setting.
  * Fixed APRS PTT extension settings for AnyTone
  * Added 8.33kHz VFO tuning step for D878UV
  * Updated HW version strings for AnyTone devices.
  * Fixed channel type and power setting for GD73
  * Fixed squelch encoding for GD73.
  * Fix build on macOS by @cho-m in #671
  * Fix typo in udev rules by @AsciiWolf in #680
  * Add BUILD.md by @billbonney in #682
  * Do not hardcode screenshot size in AppStream metadata by @AsciiWolf in #683
  * Fix desktop file by @AsciiWolf in #685
  * Fixed RX/TX frequency for repeatermap.de sources.
  * Enforce DMR radio ID limit

 -- Hannes Matuschek <dm3mat@darc.de>  Mon, 20 Oct 2025 17:16:22 +0200

qdmr (0.12.3-1) unstable; urgency=medium

  * Fixed radiolimits prevent setting SelectedChannel as revert channel.
  * Fixed RT3S channel linking issues.
  * Fixed auto-completion swapping of RX/TX frequency for some sources.

 -- Hannes Matuschek <dm3mat@darc.de>  Sat, 31 May 2025 11:31:01 +0200
