## qdmr 0.13.2

=== debian/changelog ===
qdmr (0.13.2-1) unstable; urgency=medium

  * Fixed crash when adding new channels.
  * Fixed out-of-bounds write when encoding call-sign DB.
  * Update and clean-up of AT-D587UV codeplug.
  * Fix encoding of back-light duration for all AnyTone like devices.
  * Fixed handling of modified signal.
  * Implemented filtering/sorting of all tables.
  * Update D578UV to add missing key functions.
  * Fix D578 issues with display colours.
  * Fixed call-sign DB for OpenUV380 etc.
  * Speed up startup.
  * Implemented hack to prevent crash of OpenGD77 FW.
  * Update frequency input matching.
  * Fixed spelling.
  * Completed Italian translation.

 -- Hannes Matuschek <dm3mat@darc.de>  Sun, 30 Nov 2025 21:50:04 +0100
