## qdmr 0.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.20.0)
-project(qdmr VERSION 0.13.1)
+project(qdmr VERSION 0.13.3)
 
 set(RELEASE_SUFFIX "")
 
@@ -31,7 +31,8 @@
 include(GNUInstallDirs)
 include(GenerateIcons)
 
-find_package(Qt6 REQUIRED COMPONENTS Core Widgets UiTools Network SerialPort Positioning LinguistTools)
+find_package(Qt6 REQUIRED COMPONENTS Core Widgets UiTools Network SerialPort Positioning
+  Concurrent LinguistTools)
 qt6_standard_project_setup()
 
 find_package(LIBUSB_1 REQUIRED)
