=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,7 @@
   SOVERSION "${PROJECT_VERSION_MAJOR}")
 
 target_link_libraries(libdmrconf PRIVATE Qt6::Core Qt6::SerialPort Qt6::Positioning Qt6::Network
+  Qt6::Concurrent
   ${LIBUSB_1_LIBRARIES} ${YAMLCPP_LIBRARIES} ${ADDITIONAL_LIBS})
 
 install(TARGETS libdmrconf DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
