=== src/CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
         document-new document-open document-verify document-save-as document-download
         document-import document-export
         edit-move-10-down edit-move-10-up edit-move-down edit-move-up edit-move-bottom edit-move-top
-        edit-satellites
+        edit-satellites edit-clear item-filter
         help-contents help-about
         symbol-minus symbol-plus symbol-none
   THEMES light dark
@@ -125,7 +125,7 @@
 endif(UNIX AND APPLE AND INSTALL_BUNDLE)
 
 target_link_libraries(qdmr PRIVATE Qt6::Core Qt6::Widgets Qt6::Network Qt6::Positioning Qt6::UiTools
-  ${LIBUSB_1_LIBS} libdmrconf)
+  Qt6::Concurrent ${LIBUSB_1_LIBS} libdmrconf)
 target_include_directories(qdmr PUBLIC "${CMAKE_CURRENT_BINARY_DIR}")
 
 # Install binary only if not a bundle under MacOS X
