=== debian/changelog ===
qdmr (0.13.3-1) unstable; urgency=medium

  * Reworked parallel parsing of databases.
  * Fixed decoding issue of AES keys for AnyTone devices.
  * Fixed misleading error message by @Kalle4tw.
  * Update the Flatpak by @AsciiWolf.
  * Implemented mapping of ranges.
  * Fixed missing encoding of GPS toggle for D878UV.
  * Update translations.

 -- Hannes Matuschek <dm3mat@darc.de>  Mon, 19 Jan 2026 21:00:00 +0100
