=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Hannes Matuschek <dm3mat@darc.de>
 Build-Depends: debhelper-compat (=13), cmake, xsltproc, docbook-xsl, qt6-base-dev, qt6-tools-dev, qt6-tools-dev-tools, qt6-positioning-dev, qt6-serialport-dev, libusb-1.0-0-dev, libyaml-cpp-dev, librsvg2-bin
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: hamradio
 Vcs-Browser: https://salsa.debian.org/dm3mat/qdmr
 Vcs-Git: https://salsa.debian.org/dm3mat/qdmr.git
